#!/bin/bash
# "3.7" "3.10" 
PYTHON_VERSIONS=("3.11" "3.12")
GITLAB_REGISTRY="registry.lis-lab.fr:5005/dev/ltfatpy"

for version in "${PYTHON_VERSIONS[@]}"; do
  echo "Building Python $version..."
  docker build --build-arg PYTHON_VERSION=$version -t "$GITLAB_REGISTRY/python-ci:$version" .
  docker push "$GITLAB_REGISTRY/python-ci:$version"
done

